NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Layout2d.CreateComponentFrom3DBuilder Class Reference

Represents a Builder that creates NXOpen.Layout2d.Component from Assembly More...

Inheritance diagram for NXOpen.Layout2d.CreateComponentFrom3DBuilder:
NXOpen.Display.DynamicSectionBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CreateMethod { Section, Plane }
 the method to use More...
 

Public Member Functions

unsafe void GetProjectionPlane (out NXOpen.Point3d origin, out NXOpen.Matrix3x3 orientation)
 Gets the projection plane origin and orientation matrix More...
 
unsafe NXOpen.Part GetSourcePart ()
 Returns the current source part More...
 
unsafe void SetProjectionPlane (NXOpen.Point3d origin, NXOpen.Vector3d yAxis, NXOpen.Vector3d zAxis)
 Sets the projection plane specified by origin, y and z vectors, where z is the plane normal and the x vector is computed. More...
 
unsafe void SetSourcePart (NXOpen.Part part)
 Sets the source part to create 2D component from. More...
 
- Public Member Functions inherited from NXOpen.Display.DynamicSectionBuilder
unsafe void AlternatePlane ()
 Cycle through planes that are 90 degrees aligned to the current section plane. More...
 
unsafe NXOpen.DatumPlane CreateDatumPlane ()
 Creates a datum plane from the active section plane. More...
 
unsafe void EditView (NXOpen.ModelingView view)
 Edits the section object in the modeling view. More...
 
unsafe void GetActivePlane (out NXOpen.Display.DynamicSectionTypes.Axis planeAxis, out NXOpen.Display.DynamicSectionTypes.ActivePlane activePlane)
 Gets the active plane in the section. More...
 
unsafe void GetAllPlanesGeometry (out NXOpen.Point3d[] planeOrigins, out NXOpen.Matrix3x3[] planeMetrices)
 Gets geometry for all planes of the section. More...
 
unsafe void GetBoundingBox (out NXOpen.Point3d minCornerPt, out NXOpen.Point3d maxCornerPt)
 Gets bounding box used by the section. More...
 
unsafe
NXOpen.Display.PlaneGridBuilder 
GetGridSettings ()
 Creates a grid settings builder from the active section plane. More...
 
unsafe string GetName ()
 Gets the section name. More...
 
unsafe NXOpen.Vector3d GetNormal ()
 Gets the normal of the section plane More...
 
unsafe double GetOffset ()
 Gets the the plane offset. More...
 
unsafe void GetOffsetLimits (out double minimumOffset, out double maximumOffset)
 Gets minimum and maximum offset limits. More...
 
unsafe NXOpen.Point3d GetOrigin ()
 Gets the section origin. More...
 
unsafe void GetPlaneGeometry (NXOpen.Display.DynamicSectionTypes.Axis axisType, NXOpen.Display.DynamicSectionTypes.ActivePlane planeType, out NXOpen.Point3d origin, out NXOpen.Matrix3x3 matrix)
 Gets geometry of specified plane of the section. More...
 
unsafe double GetPlaneThickness ()
 Gets the thickness between active plane pair. More...
 
unsafe double GetRotationAngle (NXOpen.Display.DynamicSectionTypes.Axis rotationAxis)
 Gets rotation angle for specified axis. More...
 
unsafe NXOpen.Matrix3x3 GetRotationMatrix ()
 Gets the section rotation matrix More...
 
unsafe bool IsAssociativitySupported ()
 Determines if an associative section plane is supported. More...
 
unsafe bool IsDefaultPlane ()
 Indicates whether the section plane is at the default location. More...
 
unsafe bool LoadAllIntersecting (out NXOpen.PartLoadStatus loadStatus)
 Loads all components that intersect the current section plane. More...
 
unsafe bool LoadNearIntersecting (out NXOpen.PartLoadStatus loadStatus)
 Loads components that intersect the current section plane and are near the section plane origin. More...
 
unsafe void OffsetOriginInPlane (double xOffset, double yOffset)
 Offsets section origin within current section plane. More...
 
unsafe void PlaneX ()
 Creates a plane along X direction. More...
 
unsafe void PlaneY ()
 Creates a plane along Y direction. More...
 
unsafe void PlaneZ ()
 Creates a plane along Z direction. More...
 
unsafe void RestoreView ()
 Restores the section to the saved section in the view database. More...
 
unsafe void ReverseDirection ()
 Reverses the plane direction. More...
 
unsafe void SaveCurves (string groupName)
 Creates curves by intersecting all clipping planes of the section with all visible bodies in the scene and adds them to the group created with the specified name. More...
 
unsafe void SetActivePlane (NXOpen.Display.DynamicSectionTypes.Axis planeAxis, NXOpen.Display.DynamicSectionTypes.ActivePlane activePlane)
 Sets the active plane in the section More...
 
unsafe bool SetAllPlanesGeometry (NXOpen.Point3d[] planeOrigins, NXOpen.Matrix3x3[] planeMetrices)
 Sets geometry for all planes of the section. More...
 
unsafe void SetAssociativePlane (NXOpen.Plane planeTag)
 Makes dynamic section associative to the specified plane The plane must be a smart plane; otherwise an error will be reported. More...
 
unsafe void SetBoundingBox (NXOpen.Point3d minCornerPt, NXOpen.Point3d maxCornerPt)
 Sets bounding box for the section. More...
 
unsafe void SetDefaultPlane ()
 Set current section plane to its default definition. More...
 
unsafe void SetDefaults ()
 Set current section to the default values. More...
 
unsafe bool SetName (string sectionName)
 Sets the section name. More...
 
unsafe void SetNormal (NXOpen.Vector3d normal)
 Sets the normal of the section plane More...
 
unsafe void SetOffset (double offset)
 Sets the the plane offset. More...
 
unsafe void SetOffsetByPoint (NXOpen.Point3d point)
 This method offsets the active clipping plane such that the plane passes through the specified point. More...
 
unsafe void SetOrigin (NXOpen.Point3d origin)
 Sets the section origin. More...
 
unsafe void SetPlane (NXOpen.Point3d axisOrigin, NXOpen.Point3d origin, NXOpen.Matrix3x3 rotationMatrix)
 Sets a section plane to be the specified plane The plane is created at the specified origin with the specified rotation matrix. More...
 
unsafe void SetPlaneThickness (double planeThickness)
 Sets the thickness between active plane pair. More...
 
unsafe void SetRotationAngle (NXOpen.Display.DynamicSectionTypes.Axis rotationAxis, double angle)
 Rotates the section about specified axis by the specified angle. More...
 
unsafe void SetRotationMatrix (NXOpen.Display.DynamicSectionTypes.Axis rotationAxis, NXOpen.Matrix3x3 rotationMatrix)
 Sets the section rotation matrix More...
 
unsafe void ShowCurvePreview (bool showCurvePreview)
 Show/hide curve preview. More...
 
unsafe void ShowSectionCurves (bool showCurves)
 Shows the section curves in the view associated with the builder. More...
 
unsafe void UpdateBoxExtents ()
 Update box section display by recomputing the box extents if necessary. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe string ComponentName [get, set]
 Returns or sets the component name More...
 
unsafe
NXOpen.Layout2d.CreateComponentFrom3DBuilder.CreateMethod 
Method [get, set]
 Returns or sets the method to utilize in create Component from 3D More...
 
unsafe
NXOpen.SelectTaggedObjectList 
SelectedObjects [get]
 Returns the selected objects of Solid body or Component type More...
 
unsafe
NXOpen.Layout2d.CreateComponentFrom3DSettingsBuilder 
Settings [get, set]
 Returns or sets the settings of create component from 3D More...
 
- Properties inherited from NXOpen.Display.DynamicSectionBuilder
unsafe bool BoxExtentDelayUpdate [get, set]
 Returns or sets the delay box extent update. More...
 
unsafe double BoxExtentMargin [get, set]
 Returns or sets the margin for box section extents More...
 
unsafe NXOpen.SelectINXObjectList BoxExtentObjects [get]
 Returns the objects that define the extents for box section. More...
 
unsafe bool BoxExtentSupported [get]
 Returns the box extent support. More...
 
unsafe NXOpen.NXColor CapColor [get, set]
 Returns or sets the cap color. More...
 
unsafe
NXOpen.Display.DynamicSectionTypes.CapColorOption 
CapColorOption [get, set]
 Returns or sets the cap color option More...
 
unsafe
NXOpen.Display.DynamicSectionTypes.Clip 
ClipType [get, set]
 Returns or sets the clip type More...
 
unsafe
NXOpen.Display.DynamicSectionTypes.CoordinateSystem 
CsysType [get, set]
 Returns or sets the coordinate system used for creating section plane along X, Y or Z principal planes. More...
 
unsafe NXOpen.NXColor CurveColor [get, set]
 Returns or sets the curve color. More...
 
unsafe
NXOpen.Display.DynamicSectionTypes.CurveColorOption 
CurveColorOption [get, set]
 Returns or sets the curve color option More...
 
unsafe
NXOpen.Display.DynamicSectionTypes.Axis 
DefaultPlaneAxis [get, set]
 Returns or sets the axis indicating the default plane normal. More...
 
unsafe bool DeferCurveUpdate [get, set]
 Returns or sets the defer curve update property. More...
 
unsafe NXOpen.NXColor InterferenceColor [get, set]
 Returns or sets the interference color. More...
 
unsafe
NXOpen.Display.LayerSettingsBuilder 
LayerSettings [get]
 Returns the layer settings builder More...
 
unsafe bool LockPlanes [get, set]
 Returns or sets the lock planes flag. More...
 
unsafe int NumberInSeries [get, set]
 Returns or sets the number of requested section planes in the current section series. More...
 
unsafe bool ReverseSeries [get, set]
 Returns or sets the reverse series flag More...
 
unsafe double SeriesSpacing [get, set]
 Returns or sets the section plane spacing in the current section series. More...
 
unsafe bool ShowCap [get, set]
 Returns or sets the cap on off flag More...
 
unsafe bool ShowClip [get, set]
 Returns or sets the clip on off flag More...
 
unsafe bool ShowCurves [get, set]
 Returns or sets the curve on off flag. More...
 
unsafe bool ShowGrid [get, set]
 Returns or sets the show grid display flag More...
 
unsafe bool ShowInterference [get, set]
 Returns or sets the interference on off flag. More...
 
unsafe bool ShowViewer [get, set]
 Returns or sets the 2D viewer display flag More...
 
unsafe
NXOpen.Display.DynamicSectionTypes.Type 
Type [get, set]
 Returns or sets the section type More...
 
unsafe NXOpen.ModelingView View [get, set]
 Returns or sets the modeling view in which section object edits are being done. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Builder that creates NXOpen.Layout2d.Component from Assembly

To create a new instance of this class, use NXOpen.Layout2d.ComponentCollection.CreateComponentFrom3dBuilder

Default values.

Property Value

BoxExtentDelayUpdate

false

CapColorOption

Any

ClipType

Section

CurveColorOption

Any

LockPlanes

true

ShowCap

true

ShowClip

true

ShowCurves (deprecated)

false

ShowGrid

false

ShowInterference

false

ShowViewer

false

Type

OnePlane

Created in NX11.0.0

Member Enumeration Documentation

the method to use

Enumerator
Section 

use section

Plane 

use plane

Member Function Documentation

unsafe void NXOpen.Layout2d.CreateComponentFrom3DBuilder.GetProjectionPlane ( out NXOpen.Point3d  origin,
out NXOpen.Matrix3x3  orientation 
)
inline

Gets the projection plane origin and orientation matrix

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Parameters
origin
orientation
unsafe NXOpen.Part NXOpen.Layout2d.CreateComponentFrom3DBuilder.GetSourcePart ( )
inline

Returns the current source part

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Returns
unsafe void NXOpen.Layout2d.CreateComponentFrom3DBuilder.SetProjectionPlane ( NXOpen.Point3d  origin,
NXOpen.Vector3d  yAxis,
NXOpen.Vector3d  zAxis 
)
inline

Sets the projection plane specified by origin, y and z vectors, where z is the plane normal and the x vector is computed.

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Parameters
origin
yAxis
zAxis
unsafe void NXOpen.Layout2d.CreateComponentFrom3DBuilder.SetSourcePart ( NXOpen.Part  part)
inline

Sets the source part to create 2D component from.

The part may be the current work part or other part loaded in session.

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Parameters
part

Property Documentation

unsafe string NXOpen.Layout2d.CreateComponentFrom3DBuilder.ComponentName
getset

Returns or sets the component name

Created in NX11.0.0

License requirements to get this property: nx_layout ("NX Layout")

License requirements to set this property: nx_layout ("NX Layout")

unsafe NXOpen.Layout2d.CreateComponentFrom3DBuilder.CreateMethod NXOpen.Layout2d.CreateComponentFrom3DBuilder.Method
getset

Returns or sets the method to utilize in create Component from 3D

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_layout ("NX Layout")

unsafe NXOpen.SelectTaggedObjectList NXOpen.Layout2d.CreateComponentFrom3DBuilder.SelectedObjects
get

Returns the selected objects of Solid body or Component type

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

unsafe NXOpen.Layout2d.CreateComponentFrom3DSettingsBuilder NXOpen.Layout2d.CreateComponentFrom3DBuilder.Settings
getset

Returns or sets the settings of create component from 3D

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.